cabal-install-3.10.2.1: The command-line interface for Cabal and Hackage.

Safe Haskell | None
Language | Haskell2010

Distribution.Client.Types.RepoName

Synopsis

- newtype RepoName = RepoName {
  - unRepoName :: String
  }

# Documentation

newtype RepoName #

Repository name.

May be used as path segment.

Constructors

RepoName |

Fields

- unRepoName :: String

#### Instances

Instances details

Parsec RepoName #

    >>> simpleParsec "hackage.haskell.org" :: Maybe RepoName
    Just (RepoName "hackage.haskell.org")

    >>> simpleParsec "0123" :: Maybe RepoName
    Nothing

Instance details Defined in Distribution.Client.Types.RepoName Methods parsec :: CabalParsing m => m RepoName #
Pretty RepoName # |
Instance details Defined in Distribution.Client.Types.RepoName Methods pretty :: RepoName -> Doc # prettyVersioned :: CabalSpecVersion -> RepoName -> Doc #
Structured RepoName # |
Instance details Defined in Distribution.Client.Types.RepoName Methods structure :: Proxy RepoName -> Structure # structureHash' :: Tagged RepoName MD5
Generic RepoName # |

Instance details

Defined in Distribution.Client.Types.RepoName

Associated Types

type Rep RepoName |
Instance details Defined in Distribution.Client.Types.RepoName type Rep RepoName = D1 ('MetaData "RepoName" "Distribution.Client.Types.RepoName" "cabal-install-3.10.2.1-EH6AEtqwlbKE3rh89dIk81" 'True) (C1 ('MetaCons "RepoName" 'PrefixI 'True) (S1 ('MetaSel ('Just "unRepoName") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 String)))

Methods

from :: RepoName -> Rep RepoName x #

to :: Rep RepoName x -> RepoName #

Show RepoName # |
Instance details Defined in Distribution.Client.Types.RepoName Methods showsPrec :: Int -> RepoName -> ShowS # show :: RepoName -> String # showList :: [RepoName] -> ShowS #
Binary RepoName # |
Instance details Defined in Distribution.Client.Types.RepoName Methods put :: RepoName -> Put # get :: Get RepoName # putList :: [RepoName] -> Put #
NFData RepoName # |
Instance details Defined in Distribution.Client.Types.RepoName Methods rnf :: RepoName -> () #
Eq RepoName # |
Instance details Defined in Distribution.Client.Types.RepoName Methods (==) :: RepoName -> RepoName -> Bool # (/=) :: RepoName -> RepoName -> Bool #
Ord RepoName # |
Instance details Defined in Distribution.Client.Types.RepoName Methods compare :: RepoName -> RepoName -> Ordering # (<) :: RepoName -> RepoName -> Bool # (<=) :: RepoName -> RepoName -> Bool # (>) :: RepoName -> RepoName -> Bool # (>=) :: RepoName -> RepoName -> Bool # max :: RepoName -> RepoName -> RepoName # min :: RepoName -> RepoName -> RepoName #
type Rep RepoName # |
Instance details Defined in Distribution.Client.Types.RepoName type Rep RepoName = D1 ('MetaData "RepoName" "Distribution.Client.Types.RepoName" "cabal-install-3.10.2.1-EH6AEtqwlbKE3rh89dIk81" 'True) (C1 ('MetaCons "RepoName" 'PrefixI 'True) (S1 ('MetaSel ('Just "unRepoName") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 String)))